Subject: Create an OpenGL ES driver
Description

NeL projects can't run on embedded devices because they only have a OpenGL ES API for 3D graphics.

Since OpenGL ES 1.x is very similar to OpenGL 1.x (our current OpenGL driver), it should be easier to implement than a OpenGL ES
2.x one.

History
#1 - 05/01/2011 04:19 pm - kervala

OpenGL ES code is 90% identical to existing OpenGL code, so I won't create a new directory for OpenGL Es driver but use a define to switch between
OpenGL and OpenGL ES at compilation time.

Under almost all desktop platforms, there are OpenGL ES wrappers so we should be able to use OpenGL or OpenGL ES at launch using config files.

#2 - 05/01/2011 07:22 pm - kervala
- % Done changed from 0 to 10

#3 - 05/12/2012 07:28 pm - kervala
- % Done changed from 10 to 70

The OpenGL ES driver should work under Windows, if OpenGL ES is enabled, it uses EGL instead of WGL.

The driver is implementing basic features but it's enough to play Ryzom. Later we could improve it.

Missing things :

    -  driver loading in NL3D (in progress...)
    -  EGL implementation under X and Mac OS X
    -  More testing

An Android or iOS port is not related to this issue, because the missing stuff for them are inputs, screen management, events and so on, it will be
implemented in another issue once the OpenGL ES driver will work everywhere (on desktop at least).

#4 - 05/12/2012 07:29 pm - kervala
- Estimated time changed from 20.00 to 150.00
